Subject: Re: SSHD Automatically Starting as a Service in Win2k
From: "Collin Grady" <[email-masked]>
To: "Troy Jensen" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 28 Nov 2001 14:03:58 -0800

The double slashes were there because I copied it from a .reg file,
which needs \\ to have a single \ in regedit.
     -Collin Grady

I can imagine a perfect world, a world without hate, a world without war.
Then I can imagine us attacking that world because they'd never expect it.

----- Original Message -----
From: "Troy Jensen" <[email-masked]>
To: "Collin Grady" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, November 28, 2001 1:46 PM
Subject: Re: SSHD Automatically Starting as a Service in Win2k

> Thanks, everything looks fine in the registry except the Parameters
> AppPath was "\usr\sbin\sshd" so I changed it to what have below,
> however, I got a new Application log error: "The description for Event
> ID ( 0 ) in Source ( C:\\Cygwin\\usr\\sbin\\sshd.exe ) cannot be
> found." so I changed it to "C:\Cygwin\usr\sbin\sshd.exe" and the App
> log error went away, but the 4 Sys log errors remain.
>
> Any other thoughts?
>
> P.S. Why did you have double slashes "\\" in the paths?
>
> Collin Grady wrote:
> >
> >      Check to make sure that the file the service is trying to start is
> > cygrunsrv, not sshd.  You have to use cygrunsrv to control the service,
with
> > the path to sshd as a param for the service.
> >
> > [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\sshd]
> > "ImagePath"="C:\\Cygwin\\bin\\cygrunsrv.exe"
> > "DisplayName"="sshd"
> > "ObjectName"="LocalSystem"
> >
> > [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\sshd\Parameters]
> > "AppPath"="C:\\Cygwin\\usr\\sbin\\sshd.exe"
> >      -Collin Grady
> >
> > Bend the facts to fit the conclusion. It's easier that way.
> >
> > ----- Original Message -----
> > From: "Troy Jensen" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Wednesday, November 28, 2001 12:12 PM
> > Subject: SSHD Automatically Starting as a Service in Win2k
> >
> > > Cygwin SSHD starting as a Windows 2000 service.
> > >
> > > Windows will not start my SSHD service for me on boot up. I deleted an
> > > older version of Cygwin from like Jan 2001 and installed the new one
> > > so I could setup my workstation as a SSH server. I attached the setup
> > > log and I used cygrunsrv to setup sshd as a service (which from what I
> > > can tell is fairly new). BTW ... when I installed Cygwin, I installed
> > > everything. The sshd install seemed successful and I can start the
> > > service manually or under the windows registry in a "run" directory
> > > (with the -D option), however, I have to login to Windows to kick
> > > start it. I would like to have it start without having to log into my
> > > machine. This way I can restart my computer, leave it sitting at the
> > > login prompt, and then be able to SSH into it from any where.
> > >
> > > And yes, I have the environment variables set for cygwin/bin.
> > >
> > > Here are what the logs say from trying to start the service after a
> > > reboot:
> > >
> > > System Log:
> > >
> > > "Timeout (30000 milliseconds) waiting for the Cygwin SSHD service to
> > > connect."
> > >
> > > "The Cygwin SSHD service failed to start due to the following error:
> > > The service did not respond to the start or control request in a
> > > timely fashion."
> > >
> > > Application log:
> > >
> > > "The description for Event ID ( 0 ) in Source ( sshd ) cannot be
> > > found. The local computer may not have the necessary registry
> > > information or message DLL files to display messages from a remote
> > > computer. The following information is part of the event: sshd : Win32
> > > Process Id = 0x5BC : Cygwin Process Id = 0x5BC : `sshd' service
> > > stopped."
> > >
> > > Thanks for any help you can provide,
> > >
> > > Troy
> > >
> > > --
> > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > Bug reporting:         http://cygwin.com/bugs.html
> > > Documentation:         http://cygwin.com/docs.html
> > > FAQ:                   http://cygwin.com/faq/
> > >
>
> --
> ----------------------
> Troy Jensen
>
> Aravox Technologies, Inc.
> (651) 556-4342 Desk
> (612) 987-3399 Cell
> Support: 1-866-9Aravox
> ----------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/